using C1.Win.FlexGrid;

namespace FlexGridCheckBox
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.c1FlexGrid1.Cols[2].DataType = typeof(bool);

            CellStyle cs = this.c1FlexGrid1.Styles.Add("Red", this.c1FlexGrid1.Styles.Normal);

            cs.ForeColor = Color.Red;
            cs.BackColor = Color.Yellow;

            this.c1FlexGrid1.SetCellStyle(3, 1, cs);
            this.c1FlexGrid1.SetCellStyle(3, 2, cs);
            this.c1FlexGrid1.SetCellStyle(4, 1, cs);
            this.c1FlexGrid1.SetCellStyle(4, 2, cs);

            this.c1FlexGrid1.Styles.Alternate.BackColor = Color.Linen;

            c1FlexGrid1.AfterRowColChange += C1FlexGrid1_AfterRowColChange;
        }

        private void C1FlexGrid1_AfterRowColChange(object sender, RangeEventArgs e)
        {
            if(e.NewRange.c1 == 2 && 
                e.NewRange.r1 != 3 && 
                e.NewRange.r1 != 4)   //handle custom cellstyles you have set
            {
                if (e.NewRange.r1 % 2 == 1)
                {
                    e.NewRange.StyleNew.BackColor = c1FlexGrid1.Styles.Alternate.BackColor;
                }
                else
                {
                    e.NewRange.StyleNew.BackColor = c1FlexGrid1.Styles.Normal.BackColor;
                }
            }
        }
    }
}
